package com.fjhx.xmhjc.mapper.browsing;

import com.fjhx.xmhjc.entity.browsing.po.BrowsingHistory;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.browsing.vo.BrowsingHistoryVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 浏览记录 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2024-05-21
 */
public interface BrowsingHistoryMapper extends BaseMapper<BrowsingHistory> {

    /**
     * 浏览记录列表
     */
    List<BrowsingHistoryVo> getList(@Param("ew") IWrapper<BrowsingHistory> wrapper);

    /**
     * 浏览记录分页
     */
    Page<BrowsingHistoryVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<BrowsingHistory> wrapper);

}
