package com.fjhx.xmhjc.mapper.column;

import com.fjhx.xmhjc.entity.column.po.ColumnArticle;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.column.vo.ColumnArticleVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 栏目文章表 Mapper 接口
 * </p>
 *
 * @author lqh
 * @since 2023-11-16
 */
public interface ColumnArticleMapper extends BaseMapper<ColumnArticle> {

    /**
     * 栏目文章表列表
     */
    List<ColumnArticleVo> getList(@Param("ew") IWrapper<ColumnArticle> wrapper);

    /**
     * 栏目文章表分页
     */
    Page<ColumnArticleVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ColumnArticle> wrapper);

}
