package com.fjhx.xmhjc.entity.about.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 关于我们-企业文化
 * </p>
 *
 * @author lqh
 * @since 2023-11-14
 */
@Getter
@Setter
@TableName("about_us_culture")
public class AboutUsCulture extends BasePo {

    /**
     * 标题
     */
    private String title;

    /**
     * 子标题
     */
    private String subtitleJson;

    /**
     * 1-无跳转地址 2-跳转第三方地址 3-跳转详情页面（通过id获取详情）
     */
    private String type;

    /**
     * 第三方地址
     */
    private String toUrl;

    /**
     * 详情页内容
     */
    private String detailsContent;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 状态
     */
    private String status;

}
