package com.fjhx.xmhjc.entity.browsing.po;

import com.ruoyi.common.core.domain.BaseIdPo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 浏览记录
 * </p>
 *
 * @author 
 * @since 2024-05-21
 */
@Getter
@Setter
@TableName("browsing_history")
public class BrowsingHistory extends BaseIdPo {

    private String ip;

    /**
     * 年
     */
    private Integer year;

    /**
     * 月
     */
    private Integer month;

    /**
     * 日
     */
    private Integer day;

    /**
     * 时
     */
    private Integer hour;

    /**
     * 周
     */
    private Integer week;

    /**
     * 时间
     */
    private Date createTime;

    /**
     * 废弃
     */
    private Integer num;

    /**
     * 模块名称
     */
    private String name;

}
