package com.fjhx.xmhjc.entity.home.vo;

import com.fjhx.xmhjc.entity.column.po.ColumnArticle;
import com.fjhx.xmhjc.entity.home.po.HomeSetting;
import lombok.Getter;
import lombok.Setter;

/**
 * 首页配置列表查询返回值实体
 *
 * @author lqh
 * @since 2023-11-22
 */
@Getter
@Setter
public class HomeSettingByOpenVo extends HomeSetting {



    /**
     * 标题名称
     */
    private String menuIdName;

    /**
     * 标题英文
     */
    private String titleEn;

    /**
     * 文章1
     */
    private ColumnArticle articleObj1;

    /**
     * 文章2
     */
    private ColumnArticle articleObj2;

    /**
     * 文章3
     */
    private ColumnArticle articleObj3;

    /**
     * 文章4
     */
    private ColumnArticle articleObj4;

}
