package com.fjhx.xmhjc.mapper.column;

import com.fjhx.xmhjc.entity.about.po.AboutUsCulture;
import com.fjhx.xmhjc.entity.about.vo.AboutUsCultureVo;
import com.fjhx.xmhjc.entity.column.po.ColumnMenuSub;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.column.vo.ColumnMenuSubVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 栏目-子栏目 Mapper 接口
 * </p>
 *
 * @author lqh
 * @since 2023-11-15
 */
public interface ColumnMenuSubMapper extends BaseMapper<ColumnMenuSub> {

    /**
     * 栏目-子栏目列表
     */
    List<ColumnMenuSubVo> getList(@Param("ew") IWrapper<ColumnMenuSub> wrapper);

    /**
     * 栏目-子栏目分页
     */
    Page<ColumnMenuSubVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ColumnMenuSub> wrapper);

}
